Package org.apache.commons.imaging.formats.jpeg.segments

## Class App13Segment

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.segments.Segment
    - - org.apache.commons.imaging.formats.jpeg.segments.GenericSegment
      - - org.apache.commons.imaging.formats.jpeg.segments.AppnSegment
        - - org.apache.commons.imaging.formats.jpeg.segments.App13Segment

-     public class App13Segment
      extends AppnSegment

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `length, marker`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `App13Segment​(int marker, byte[] segmentData)` |
    `App13Segment​(int marker, int markerLength, InputStream is)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isPhotoshopJpegSegment()` |
    `PhotoshopApp13Data` | `parsePhotoshopSegment​(ImagingParameters params)` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AppnSegment

      `getDescription`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.GenericSegment

      `dump, dump, getSegmentData, getSegmentData, getSegmentDataAsString`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `getSegmentType, toString`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### App13Segment

          public App13Segment​(int marker,
                              byte[] segmentData)
                       throws IOException

      Throws:
        `IOException`

    - #### App13Segment

          public App13Segment​(int marker,
                              int markerLength,
                              InputStream is)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### isPhotoshopJpegSegment

          public boolean isPhotoshopJpegSegment()

    - #### parsePhotoshopSegment

          public PhotoshopApp13Data parsePhotoshopSegment​(ImagingParameters params)
                                                   throws ImageReadException,
                                                          IOException

      Throws:
        `ImageReadException`
        `IOException`